# `Torch_jll.jl` (v1.10.2+0)

[![deps](https://juliahub.com/docs/Torch_jll/deps.svg)](https://juliahub.com/ui/Packages/Torch_jll/BE5WZ?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/f6fd01962a915eb3ec6f71f63ab09c4ad7e1c6af/T/Torch/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `Torch_jll.jl` have been built from these sources:

* git repository: https://github.com/pytorch/pytorch.git (revision: `71f889c7d265b9636b93ede9d651c0a9c4bee191`)
* file: https://micromamba.snakepit.net/api/micromamba/linux-64/0.21.1 (SHA256 checksum: `c907423887b43bec4e8b24f17471262c8087b7095683f41dcef4a4e24e9a3bbd`)
* compressed archive: https://github.com/JuliaBinaryWrappers/CUDA_full_jll.jl/releases/download/CUDA_full-v10.2.89%2B5/CUDA_full.v10.2.89.x86_64-linux-gnu.tar.gz (SHA256 checksum: `60e6f614db3b66d955b7e6aa02406765e874ff475c69e2b4a04eb95ba65e4f3b`)
* compressed archive: https://github.com/JuliaBinaryWrappers/CUDA_full_jll.jl/releases/download/CUDA_full-v11.3.1%2B1/CUDA_full.v11.3.1.x86_64-linux-gnu.tar.gz (SHA256 checksum: `9ae00d36d39b04e8e99ace63641254c93a931dcf4ac24c8eddcdfd4625ab57d6`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/f6fd01962a915eb3ec6f71f63ab09c4ad7e1c6af/T/Torch/bundled)

## Platforms

`Torch_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc}` (`aarch64-linux-gnu-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc}` (`aarch64-linux-gnu-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc}` (`i686-linux-gnu-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc}` (`i686-linux-gnu-cxx11`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03`)
* `Linux x86_64 {cuda=10.2, cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03-cuda+10.2`)
* `Linux x86_64 {cuda=11.3, cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03-cuda+11.3`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)
* `Linux x86_64 {cuda=10.2, cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11-cuda+10.2`)
* `Linux x86_64 {cuda=11.3, cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11-cuda+11.3`)

## Dependencies

The following JLL packages are required by `Torch_jll.jl`:

* [`CPUInfo_jll`](https://github.com/JuliaBinaryWrappers/CPUInfo_jll.jl)
* [`CUDA_Runtime_jll`](https://github.com/JuliaBinaryWrappers/CUDA_Runtime_jll.jl)
* [`CUDNN_jll`](https://github.com/JuliaBinaryWrappers/CUDNN_jll.jl)
* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`Gloo_jll`](https://github.com/JuliaBinaryWrappers/Gloo_jll.jl)
* [`LAPACK_jll`](https://github.com/JuliaBinaryWrappers/LAPACK_jll.jl)
* [`OpenBLAS32_jll`](https://github.com/JuliaBinaryWrappers/OpenBLAS32_jll.jl)
* [`PThreadPool_jll`](https://github.com/JuliaBinaryWrappers/PThreadPool_jll.jl)
* [`SLEEF_jll`](https://github.com/JuliaBinaryWrappers/SLEEF_jll.jl)
* [`XNNPACK_jll`](https://github.com/JuliaBinaryWrappers/XNNPACK_jll.jl)
* [`protoc_jll`](https://github.com/JuliaBinaryWrappers/protoc_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `FileProduct`: `declarations_yaml`
* `LibraryProduct`: `libtorch`
* `LibraryProduct`: `libtorch_cpu`
